From af6c0a0f6a7644f583f2d83ba7a61e82b77bdc37 Mon Sep 17 00:00:00 2001
From: Dave Reisner <dreisner@archlinux.org>
Date: Sun, 1 Jun 2014 23:54:20 -0400
Subject: [PATCH] common.sh: propagate error through trap_exit

Fixes a breakage introduced in 6db31cc16a80442 which leads to errors
being masked from makechrootpkg.
---
 lib/common.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/lib/common.sh b/lib/common.sh
index b885080..104850b 100644
--- a/lib/common.sh
+++ b/lib/common.sh
@@ -79,8 +79,9 @@ trap_abort() {
 }
 
 trap_exit() {
+	local r=$?
 	trap - EXIT INT QUIT TERM HUP
-	cleanup
+	cleanup $r
 }
 
 die() {
-- 
GitLab